Hooks:PostHook(VRCustomizationGui,"_setup_sub_menus","ChatVRGUI_Init",function(self)
	if self.ChatVRGUI then return end
	if not managers.hud then return end --Avoid inserting ChatGui if we're in the main menu where it's redundant

	self.ChatVRGUI = ChatGui:new(self._ws, self._panel)
	
	self.ChatVRGUI:set_leftbottom(10,10) --Place the chat at the very bottom left of the VR GUI
	
	self.ChatVRGUI._max_lines = 11 --Limit lines so the chat doesn't clip into the buttons on the VR GUI
end)

--We need to pass moved/pressed/released events to the ChatGui so it's interactable with the VR laser pointer
Hooks:PostHook(VRMenu,"mouse_moved","ChatVRGUI_Moved",function(self,o,x,y)
	if self.ChatVRGUI then self.ChatVRGUI:mouse_moved(x,y) end
end)

Hooks:PostHook(VRMenu,"mouse_pressed","ChatVRGUI_Pressed",function(self,o,button,x,y)
	if self.ChatVRGUI then self.ChatVRGUI:mouse_pressed(button,x,y) end
end)

Hooks:PostHook(VRMenu,"mouse_released","ChatVRGUI_Released",function(self,o,button,x,y)
	if self.ChatVRGUI then self.ChatVRGUI:mouse_released(o,button,x,y) end
end)

--Show/Hide ChatGui when buttons on VR settings are pressed, so the chat doesn't clip into the options
Hooks:PostHook(VRCustomizationGui,"_show_main","ChatVRGUI_Show",function(self)
	if self.ChatVRGUI then self.ChatVRGUI:show() end
end)

Hooks:PostHook(VRCustomizationGui,"_hide_main","ChatVRGUI_Hide",function(self)
	if self.ChatVRGUI then self.ChatVRGUI:hide() end
end)